body {
  font-family: "Montserrat", serif;
  height: 100%;
  overflow-x: hidden;
}

.header {
  position: relative;
  padding: 36px 40px 0 40px;
}

.header__content {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin: 0 auto;
}

.header__container {
  display: flex;
  width: 331px;
  height: 32px;
  align-items: center;
  justify-content: center;
  gap: 12px;
}

.header__logo {
  box-sizing: border-box;
  width: 93px;
  height: 32px;
  transition: transform 0.3s ease;
}

.header__title {
  margin: 0;
  font-weight: 800;
  font-size: 24px;
  line-height: 28.8px;
  text-align: center;
  align-items: center;
  color: #2b3243;
}

.header__nav {
  display: flex;
  margin-right: 500px;
}

.header__nav .header__nav-list {
  display: flex;
  gap: 40px;
  padding: 0;
  align-items: center;
  justify-content: center;
}

.header__nav-item {
  list-style-type: none;
}

.header__nav-link {
  display: flex;
  text-decoration: none;
  font-size: 14px;
  color: #2b3243;
  white-space: nowrap;
}

.header__nav-hamburger {
  display: none;
  cursor: pointer;
}

.header__nav-hamburger-bar {
  display: block;
  width: 30px;
  height: 3px;
  margin: 5px auto;
  background-color: #2b3243;
  -webkit-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
}

.header-img {
  position: absolute;
  top: 0;
  right: 0;
  margin-top: 0;
  z-index: -1;
}

.header__camera-img {
  position: absolute;
  top: 0;
  right: 0;
  margin-top: 205px;
  z-index: -1;
}

/*discription*/

.container {
  display: flex;
  margin: 0;
  justify-content: center;
  flex-wrap: wrap;
}

.visualization-system {
  width: 830px;
  margin-top: 95px;
}

.visualization-system__header {
  text-align: left;
  margin-bottom: 40px;
}

.visualization-system__header-title {
  font-size: 20px;
  line-height: 32px;
  color: #333;
}

.visualization-system__description {
  font-size: 16px;
  color: #666;
}

.visualization-system__content {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.visualization-system__section {
  text-align: center;
}

.visualization-system__subtitle {
  font-size: 20px;
  color: #444;
}

.visualization-system__text {
  font-size: 14px;
  color: #777;
}

/*column*/

.visualization-system__products {
  display: flex;
  margin-top: 80px;
}

.visualization-system__column {
  display: flex;
  flex-direction: column;
  width: 50%;
}

.product {
  display: flex;
  width: 336px;
  height: 64px;
  padding: 20px 0 20px 0;
  text-align: left;
  align-items: center;
  gap: 24px;
}

.product__title {
  margin: 0;
  font-weight: 800;
  font-size: 20px;
  line-height: 26px;
  color: #2b3243;
}

footer {
  background-color: #364958;
  color: #ffffff;
}

footer a {
  text-decoration: none;
  color: #00a3ff;
  cursor: pointer;
}

.footer-container {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
}

footer ul li {
  list-style-type: none;
  margin-bottom: 10px;
  line-height: 170%;
}

.contact {
  display: flex;
  flex-direction: column;
  padding: 0 10px;
  margin: 40px 0 40px 0;
  gap: 10px;
}

.contact-description {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.legal-documents {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.legal-documents-and-personal-data-policy {
  display: flex;
  flex-direction: column;
  gap: 13px;
  padding: 0 10px;
  margin: 40px 0 40px 0;
}

.footer-company {
  padding: 0 10px;
}

/*footer*/

/* footer {
  background-color: #364958;
  color: #ffffff;
} */

/* .footer-container {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
} */

/* .contact {
  display: flex;
  margin-top: 276px;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  width: 100%;
  height: auto;
  padding: 100px 0;
  background-color: #3A3A3A;
} */

.contact__question {
  margin: 0;
  color: #ffffff;
  font-size: 40px;
  line-height: 48px;
  font-weight: 800;
}

.contact__question-text {
  margin: 24px 0 112px 0;
  color: #ffffff;
  font-size: 20px;
  line-height: 32px;
  font-weight: 400;
}

.contact__form {
  display: flex;
  justify-content: center;
  flex-direction: column;
  gap: 24px;
  width: 380px;
  height: 428px;
  margin: 0 auto;
}

.contact__input--text {
  width: 380px;
  height: 50px;
  padding-left: 12px;
  font-size: 14px;
  font-weight: 500;
  line-height: 19.6px;
  border: 1px solid #ccc;
  border-radius: 4px;
  background-color: #eaeaea;
}

.contact__input--textarea {
  width: 101%;
  height: 100px;
  padding: 12px 0 0 12px;
  font-size: 14px;
  font-weight: 500;
  line-height: 19.6px;
  text-align: left;
  border: none;
  border-radius: 4px;
  background-color: #eaeaea;
  vertical-align: top;
  resize: none;
}

.contact__button {
  width: 396px;
  height: 50px;
  padding: 0 10px 0 10px;
  font-size: 16px;
  font-weight: 500;
  line-height: 22.4px;
  background-color: #8c93e6;
  color: white;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

@media (max-width: 1370px) {
  .header__logo {
    transform: scale(1.1);
  }

  .header__nav {
    margin-right: 0;
    margin-left: 170px;
  }

  .header__nav .header__nav-link {
    font-size: 16px;
  }

  .header-img,
  .header__camera-img {
    display: none;
  }

  .visualization-system__header-title {
    font-size: 23px;
    font-weight: 400;
  }
}

@media (max-width: 1024px) {
  .header__nav {
    margin-left: 100px;
  }

  .visualization-system__header {
    margin: 40px 10px 40px 10px;
  }
}

@media (max-width: 768px) {
  .header__title {
    font-size: 25px;
  }

  .header__nav {
    margin-left: 100px;
  }

  .header__nav .header__nav-link {
    font-size: 15px;
  }

  .visualization-system {
    width: 100%;
    margin-top: 20px;
  }

  .visualization-system__header-title {
    margin: 40px;
    font-size: 18px;
  }

  .visualization-system__products {
    margin: 40px;
    flex-direction: column;
  }

  .visualization-system__column {
    display: flex;
    width: 100%;
  }

  .product {
    width: 100%;
  }

  .contact {
    margin-top: 100px;
  }

  .contact__question-text {
    margin: 24px 10px 30px 10px;
  }
}

@media (max-width: 735px) {
  .header__nav {
    margin-left: 0;
  }
  .contact__question-text {
    margin: 24px 10px 60px 10px;
    text-align: center;
  }
}

@media (max-width: 680px) {
  .header__title {
    font-size: 19px;
    margin-right: 5px;
  }

  .header__nav {
    margin-left: 0;
  }

  .header__nav-hamburger {
    display: block;
  }

  .header__nav-hamburger.active {
    position: fixed;
  }

  .header__nav-hamburger.active .header__nav-hamburger-bar:nth-child(2) {
    opacity: 0;
  }

  .header__nav-hamburger.active .header__nav-hamburger-bar:nth-child(1) {
    transform: translateY(8px) rotate(45deg);
  }

  .header__nav-hamburger.active .header__nav-hamburger-bar:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg);
  }

  .header__nav-list {
    position: fixed;
    top: -100%;
    left: 0;
    gap: 0;
    flex-direction: column;
    background-color: white;
    width: 100%;
    transition: 0.3s;
  }

  .header__nav-item {
    margin: 16px 0;
  }

  .header__nav-list.active {
    margin: 0;
    gap: 10px;
    top: 0;
  }

  .product__title {
    display: flex;
    flex-wrap: wrap;
    font-size: 19px;
    word-break: break-word;
  }

  .contact__question {
    text-align: center;
    font-size: 35px;
  }
}

@media (max-width: 425px) {
  .header__container {
    flex-wrap: wrap;
    justify-content: start;
    gap: 5px;
  }

  .header__title {
    margin-left: 10px;
  }

  .header__logo {
    margin: 0;
    transform: scale(0.8);
  }

  .product__title {
    word-break: break-word;
    font-size: clamp(14px, 15px, 18px);
  }

  .contact__form {
    width: 90%;
    margin: 0 auto;
  }

  .contact__input {
    width: 94%;
  }

  .contact__input--textarea {
    width: 95%;
  }

  .contact__button {
    width: 99%;
  }
}
